package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:生产计划明细VO对象
 * @ProjectName:HwMes
 * @Author:xins
 * @Date:2024-02-22 9:41
 * @Version:1.0
 */
@Data
public class MesProductPlanDetailVo {

    //生产计划ID
    @NotNull(message = "生产计划ID必须输入")
    private Long planId;

    //成品批次
    @NotNull(message = "物料ID必须输入")
    private Long materialId;

    //成品批次
    @NotNull(message = "物料BomID必须输入")
    private Long materialBomId;

    //成品批次
    @NotBlank(message = "计划数量必须输入")
    private String planAmount;

}
